> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or continue an Assistant session

> Creates a draft workflow-backed Assistant session. Explicit productType=realtime dispatches the Julie realtime lane after realtime notification settings are provisioned.



## OpenAPI

````yaml post /v5/agent
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v5/agent:
    post:
      tags:
        - Agent
      summary: Create or continue a public Agent session
      description: >-
        Creates a draft workflow-backed Assistant session. Explicit
        productType=realtime dispatches the Julie realtime lane after realtime
        notification settings are provisioned.
      operationId: v5AgentPrompt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentPromptRequest'
      responses:
        '202':
          description: Agent prompt accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentPromptResponse'
        '400':
          description: Invalid request body or realtime notification settings
        '403':
          description: Authenticated user cannot create workflows for the active team
        '404':
          description: Template, Assistant session, or thread not found
        '409':
          description: Agent prompt conflicts with the requested context
components:
  schemas:
    AgentPromptRequest:
      type: object
      required:
        - prompt
      properties:
        prompt:
          type: string
          minLength: 1
        sessionId:
          type: string
          format: uuid
          nullable: true
        newSessionId:
          type: string
          format: uuid
          nullable: true
        threadId:
          type: string
          format: uuid
          nullable: true
        backgroundMode:
          type: boolean
        templateId:
          type: string
          format: uuid
          nullable: true
        templateVersion:
          type: integer
          minimum: 1
          nullable: true
        productType:
          type: string
          enum:
            - workflow
            - realtime
        tags:
          type: array
          items:
            type: string
        notificationChannelIds:
          type: array
          minItems: 1
          uniqueItems: true
          items:
            type: string
            format: uuid
    AgentPromptResponse:
      type: object
      required:
        - data
        - status
        - message
      properties:
        data:
          type: object
          required:
            - jobId
            - sessionId
            - threadId
            - workflowId
          properties:
            jobId:
              type: string
              nullable: true
            inputEventId:
              type: string
            sessionId:
              type: string
              format: uuid
            threadId:
              type: string
              format: uuid
            workflowId:
              type: string
              format: uuid
            existed:
              type: boolean
        status:
          type: string
          enum:
            - success
        message:
          type: string

````